> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear infraestructura BYOC

> Crea una nueva infraestructura BYOC en la organización. Devuelve la configuración de la infraestructura recién creada



## OpenAPI

````yaml /es/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/byocInfrastructure
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/byocInfrastructure:
    post:
      tags:
        - Organization
      summary: Crear infraestructura BYOC
      description: >-
        Crea una nueva infraestructura BYOC en la organización. Devuelve la
        configuración de la infraestructura recién creada
      parameters:
        - description: ID de la organización solicitada.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ByocInfrastructurePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: ID único asignado a cada solicitud. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ByocConfig'
                  status:
                    description: Código de estado HTTP.
                    example: 200
                    type: number
                type: object
          description: Respuesta correcta
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Descripción detallada del error.
                    type: string
                  status:
                    description: Código de estado HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            El server no puede o no quiere procesar la solicitud debido a algo
            que se percibe como un error del client.
components:
  schemas:
    ByocInfrastructurePostRequest:
      properties:
        accountId:
          description: >-
            ID de la cuenta en la nube para la que está configurada la
            infraestructura de BYOC
          type: string
        availabilityZoneSuffixes:
          description: Lista de sufijos de zonas de disponibilidad
          items:
            enum:
              - a
              - b
              - c
              - d
              - e
              - f
            type: string
          type: array
        regionId:
          description: Región en la que se ubicará la infraestructura de BYOC
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        vpcCidrRange:
          description: Rango CIDR para la VPC
          type: string
    ByocConfig:
      properties:
        accountName:
          description: Nombre de la cuenta
          type: string
        cloudProvider:
          description: Cloud Provider de la región
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: Identificador único de la configuración de BYOC
          type: string
        regionId:
          description: >-
            Región para la que se ha configurado el BYOC y en la que es posible
            crear servicios
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: Estado de la infraestructura
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        Usa el ID de la clave y el secreto de la clave obtenidos en la consola
        de ClickHouse Cloud: https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````